package com.lukouguoji.gjj.viewModel

import android.content.Intent
import androidx.lifecycle.MutableLiveData
import com.lukouguoji.module_base.base.BaseViewModel
import com.lukouguoji.module_base.bean.GjjImportManifest
import com.lukouguoji.module_base.common.Constant

/**
 * 国际进港原始舱单详情 ViewModel
 */
class IntArrAirManifestDetailsViewModel : BaseViewModel() {

    // 舱单数据
    val dataBean = MutableLiveData<GjjImportManifest>()

    /**
     * 初始化数据
     */
    fun initOnCreated(intent: Intent) {
        val manifest = intent.getSerializableExtra(Constant.Key.DATA) as? GjjImportManifest
        if (manifest != null) {
            dataBean.value = manifest
        }
    }
}
